/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.tmx.valueobject;

/**
 * LISA TMX の header要素をあらわすバリューオブジェクト。
 */
public class BlancoTmxHeader {
    /**
     * フィールド [creationtool]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["blancoTmx"]<br>
     */
    private String fCreationtool = "blancoTmx";

    /**
     * フィールド [creationtoolversion]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["0.0.1"]<br>
     */
    private String fCreationtoolversion = "0.0.1";

    /**
     * フィールド [segtype]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["block"]<br>
     * &quot;block&quot;, &quot;paragraph&quot;, &quot;sentence&quot;, &quot;phrase&quot;
     */
    private String fSegtype = "block";

    /**
     * フィールド [o-tmf]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["XLIFF"]<br>
     * オリジナルフォーマット。
     */
    private String fOTmf = "XLIFF";

    /**
     * フィールド [adminlang]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja-jp"]<br>
     * デフォルト言語。&quot;ja-jp&quot;はLISAから参照。
     */
    private String fAdminlang = "ja-jp";

    /**
     * フィールド [srclang]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["EN"]<br>
     * ソース言語。&quot;*all*&quot; をやめて &quot;EN&quot; に変更。
     */
    private String fSrclang = "EN";

    /**
     * フィールド [datatype]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["unknown"]<br>
     * データタイプ。
     */
    private String fDatatype = "unknown";

    /**
     * フィールド [creationtool]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argCreationtool フィールド[creationtool]に格納したい値
     */
    public void setCreationtool(final String argCreationtool) {
        fCreationtool = argCreationtool;
    }

    /**
     * フィールド[creationtool]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["blancoTmx"]<br>
     *
     * @return フィールド[creationtool]に格納されている値
     */
    public String getCreationtool() {
        return fCreationtool;
    }

    /**
     * フィールド [creationtoolversion]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argCreationtoolversion フィールド[creationtoolversion]に格納したい値
     */
    public void setCreationtoolversion(final String argCreationtoolversion) {
        fCreationtoolversion = argCreationtoolversion;
    }

    /**
     * フィールド[creationtoolversion]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["0.0.1"]<br>
     *
     * @return フィールド[creationtoolversion]に格納されている値
     */
    public String getCreationtoolversion() {
        return fCreationtoolversion;
    }

    /**
     * フィールド [segtype]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * &quot;block&quot;, &quot;paragraph&quot;, &quot;sentence&quot;, &quot;phrase&quot;
     *
     * @param argSegtype フィールド[segtype]に格納したい値
     */
    public void setSegtype(final String argSegtype) {
        fSegtype = argSegtype;
    }

    /**
     * フィールド[segtype]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["block"]<br>
     * &quot;block&quot;, &quot;paragraph&quot;, &quot;sentence&quot;, &quot;phrase&quot;
     *
     * @return フィールド[segtype]に格納されている値
     */
    public String getSegtype() {
        return fSegtype;
    }

    /**
     * フィールド [o-tmf]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * オリジナルフォーマット。
     *
     * @param argOTmf フィールド[o-tmf]に格納したい値
     */
    public void setOTmf(final String argOTmf) {
        fOTmf = argOTmf;
    }

    /**
     * フィールド[o-tmf]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["XLIFF"]<br>
     * オリジナルフォーマット。
     *
     * @return フィールド[o-tmf]に格納されている値
     */
    public String getOTmf() {
        return fOTmf;
    }

    /**
     * フィールド [adminlang]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * デフォルト言語。&quot;ja-jp&quot;はLISAから参照。
     *
     * @param argAdminlang フィールド[adminlang]に格納したい値
     */
    public void setAdminlang(final String argAdminlang) {
        fAdminlang = argAdminlang;
    }

    /**
     * フィールド[adminlang]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja-jp"]<br>
     * デフォルト言語。&quot;ja-jp&quot;はLISAから参照。
     *
     * @return フィールド[adminlang]に格納されている値
     */
    public String getAdminlang() {
        return fAdminlang;
    }

    /**
     * フィールド [srclang]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ソース言語。&quot;*all*&quot; をやめて &quot;EN&quot; に変更。
     *
     * @param argSrclang フィールド[srclang]に格納したい値
     */
    public void setSrclang(final String argSrclang) {
        fSrclang = argSrclang;
    }

    /**
     * フィールド[srclang]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["EN"]<br>
     * ソース言語。&quot;*all*&quot; をやめて &quot;EN&quot; に変更。
     *
     * @return フィールド[srclang]に格納されている値
     */
    public String getSrclang() {
        return fSrclang;
    }

    /**
     * フィールド [datatype]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * データタイプ。
     *
     * @param argDatatype フィールド[datatype]に格納したい値
     */
    public void setDatatype(final String argDatatype) {
        fDatatype = argDatatype;
    }

    /**
     * フィールド[datatype]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["unknown"]<br>
     * データタイプ。
     *
     * @return フィールド[datatype]に格納されている値
     */
    public String getDatatype() {
        return fDatatype;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.tmx.valueobject.BlancoTmxHeader[");
        buf.append("creationtool=" + fCreationtool);
        buf.append(",creationtoolversion=" + fCreationtoolversion);
        buf.append(",segtype=" + fSegtype);
        buf.append(",o-tmf=" + fOTmf);
        buf.append(",adminlang=" + fAdminlang);
        buf.append(",srclang=" + fSrclang);
        buf.append(",datatype=" + fDatatype);
        buf.append("]");
        return buf.toString();
    }
}
